{% extends "operators/base.html" %}{% load i18n l10n static %}{% get_current_language as LANGUAGE_CODE %}
{% block title %}{{ title }}{% endblock %}
{% block extrahead %}
<link href="{% static 'select2/css/select2.min.css' %}" rel="stylesheet" />
<script src="{% static 'select2/js/select2.min.js' %}"></script>
<link rel="stylesheet" type="text/css" href="{% static 'datatables1/datatables.min.css' %}"/>
<script type="text/javascript" src="{% static 'datatables1/datatables.min.js' %}"></script>
{% endblock %}
{% block content %}

<div class="page-header row mb-4">
    <div class="col-lg-8">
        <h1>{{ title }}</h1>
    </div>
    <div class="col-lg-4 text-end">
        <a class="btn btn-lg btn-success" href="{% url 'operators:driver-shift-new' %}">
            <i class="fas fa-plus"></i>
            &nbsp; {% trans "Create shift" %}
        </a>
    </div>
</div>

<table class="table table-striped" id="table">
    <thead>
    <tr>
        <th>{% trans "Driver" %}</th>
        <th>{% trans "Shift Start Time" %}</th>
        <th>{% trans "Shift End Time" %}</th>
        <th></th>
        <th></th>
        <th></th>
    </tr>
    </thead>
    <tbody>
        {% for o in object_list %}
        <tr>
            <td>{{ o.driver.user.get_full_name|default:o.driver.user.username }}</td>
            <td data-order="{{ o.time_start.timestamp }}">{{ o.time_start|date:"D d/m/Y H:i" }}</td>
            <td data-order="{{ o.time_start.timestamp }}">{{ o.time_end|date:"D d/m/Y H:i" }}</td>
            <td>
                <a href="{% url 'operators:driver-shift-print-A5' pk=o.pk %}" target="_blank" class="btn btn-lg btn-primary">
                    <i class="fas fa-print"></i>
                </a>
            </td>
            <td>
                <a href="{% url 'operators:driver-shift-update' pk=o.pk %}" class="btn btn-lg btn-info">
                    <i class="fas fa-edit"></i>
                </a>
            </td>
            <td>
                <a href="{% url 'operators:driver-shift-delete' pk=o.pk %}" class="btn btn-lg btn-danger">
                    <i class="fas fa-trash"></i>
                </a>
            </td>
        </tr>
        {% endfor %}
    </tbody>
</table>

<script type="text/javascript">
    $(document).ready(function() {
        $("#table").dataTable({
            order: [["1", "asc"]],
            language: {url: "{% static 'datatables1/i18n/'|add:LANGUAGE_CODE|add:"_"|add:LANGUAGE_CODE|add:'.json' %}"}
        });
    });
</script>

{% endblock %}